import { Loadable } from '../loadable.type';
export declare function fold<T, S>(constructors: {
    idle: () => S;
    loading: () => S;
    loaded: (value: T) => S;
    error: (error: unknown) => S;
}, loadable: Loadable<T>): S;
