import { Type } from '@angular/core';
import { LoadableErrorComponent } from './loadable-error/loadable-error.component';
import { LoadableLoadingComponent } from './loadable-loading/loadable-loading.component';
export declare type DefaultComponents = {
    idle?: Type<{}>;
    loading?: Type<{}>;
    error?: Type<{
        error: any;
    }>;
};
export declare const defaultComponents: {
    error: typeof LoadableErrorComponent;
    loading: typeof LoadableLoadingComponent;
};
export interface ModuleOptions {
    defaultComponents?: DefaultComponents;
}
