import { Errored, Idle, Loadable, Loaded, Loading, LoadingState } from './loadable.type';
export declare function isIdle<T>(loadable: Loadable<T>): loadable is Idle;
export declare function isLoading<T>(loadable: Loadable<T>): loadable is Loading;
export declare function hasErrored<T>(loadable: Loadable<T>): loadable is Errored;
export declare function isLoaded<T>(loadable: Loadable<T>): loadable is Loaded<T>;
export declare function isLoadable<T>(object: unknown): object is Loadable<T>;
export declare function getLoadingState<T>(loadable: Loadable<T>): LoadingState;
